Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.policy
Class PermissionClassDesc

`java.lang.Object
oracle.security.jazn.policy.PermissionClassDesc`

public class PermissionClassDesc
extends java.lang.Object

This class defines the descriptor (meta-data) for a Permission class. <p/> NOTE: This interface is for Oracle-internal use only and is subject to change without notice.

Field Summary
`static int` | `TYPE_EXT` External class type.
`static int` | `TYPE_JAZN` JAZN class type
`static int` | `TYPE_JDK` JDK class type.
`static int` | `TYPE_ORCL` ORCL class type.

Constructor Summary
`PermissionClassDesc(int type, oracle.security.jazn.util.ItemDesc classDesc, java.util.Collection targetsDesc, java.util.Collection actionsDesc)` Creates new `PermissionClassDesc` instance.
`PermissionClassDesc(int type, oracle.security.jazn.util.ItemDesc classDesc, oracle.security.jazn.util.NVPair[] targetsDesc, oracle.security.jazn.util.NVPair[] actionsDesc)` Creates new `PermissionClassDesc` instance.

Method Summary
`java.util.Collection` | `getActionsDesc()` Returns the actions descriptor
`oracle.security.jazn.util.ItemDesc` | `getClassDesc()` Returns the class descriptor
`java.util.Collection` | `getTargetsDesc()` Returns the targets descriptor
`int` | `getType()` Returns the type of this Permission Class
`java.lang.String` | `toString()`
`void` | `writeXML(int indentation, java.io.Writer writer)` Serializes the content of this descriptor to the specified writer.
`void` | `writeXML(java.io.Writer writer)` Serializes the content of this descriptor to the specified writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_JDK

    public static final int TYPE_JDK

  JDK class type.
  See Also:
    Constant Field Values

### TYPE_JAZN

    public static final int TYPE_JAZN

  JAZN class type
  See Also:
    Constant Field Values

### TYPE_ORCL

    public static final int TYPE_ORCL

  ORCL class type.
  See Also:
    Constant Field Values

### TYPE_EXT

    public static final int TYPE_EXT

  External class type.
  See Also:
    Constant Field Values

Constructor Detail

### PermissionClassDesc

    public PermissionClassDesc(int type,
                               oracle.security.jazn.util.ItemDesc classDesc,
                               oracle.security.jazn.util.NVPair[] targetsDesc,
                               oracle.security.jazn.util.NVPair[] actionsDesc)

  Creates new `PermissionClassDesc` instance.

### PermissionClassDesc

    public PermissionClassDesc(int type,
                               oracle.security.jazn.util.ItemDesc classDesc,
                               java.util.Collection targetsDesc,
                               java.util.Collection actionsDesc)

  Creates new `PermissionClassDesc` instance.

Method Detail

### getType

    public int getType()

  Returns the type of this Permission Class
  Returns:
    the type of this Permission Class

### getClassDesc

    public oracle.security.jazn.util.ItemDesc getClassDesc()

  Returns the class descriptor
  Returns:
    the class descriptor

### getTargetsDesc

    public java.util.Collection getTargetsDesc()

  Returns the targets descriptor
  Returns:
    the targets descriptor

### getActionsDesc

    public java.util.Collection getActionsDesc()

  Returns the actions descriptor
  Returns:
    the actions descriptor

### writeXML

    public void writeXML(java.io.Writer writer)
                  throws java.io.IOException

  Serializes the content of this descriptor to the specified writer.
  Parameters:
    `writer` - the specified writer
  Throws:
    `java.io.IOException`

### writeXML

    public void writeXML(int indentation,
                         java.io.Writer writer)
                  throws java.io.IOException

  Serializes the content of this descriptor to the specified writer.
  Parameters:
    `indentation` - the indentation level
    `writer` - the specified writer
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.